Need help? Get answers from the docs with Omni's in-app AI! Log in to your Omni instance and open the Omni Agent in the sidebar.
curl --request GET \
--url https://{instance}.omniapp.co/api/scim/v2/embed/users/{userId} \
--header 'Authorization: Bearer <token>'{
"active": true,
"displayName": "Blobby",
"emails": [
{
"primary": true,
"value": "embed-user-i_4TrNwyVTu34bZaC35VJVD3-pknp4YF7V8_Bi4TMdw@blobsrus.embed-exploreomni.co"
}
],
"groups": [
{
"display": "All Embed Users",
"value": "4GcvQ2D9"
},
{
"display": "Omni",
"value": "nqGuU_uh"
}
],
"id": "2212aecf-a2ba-4d99-b23b-f615bc4c6522",
"meta": {
"created": "2024-09-30T20:25:01.822Z",
"lastModified": "2024-09-30T20:51:47.558Z",
"resourceType": "User"
},
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User"
],
"userName": "embed-user-i_4TrNwyVTu34bZaC35VJVD3-pknp4YF7V8_Bi4TMdw@blobsrus.embed-exploreomni.co",
"embedEmail": null,
"embedEntity": "omni",
"embedExternalId": "blobby-manager"
}Retrieves an embed user using their unique ID. Use the Retrieve user endpoint to retrieve standard users.
curl --request GET \
--url https://{instance}.omniapp.co/api/scim/v2/embed/users/{userId} \
--header 'Authorization: Bearer <token>'{
"active": true,
"displayName": "Blobby",
"emails": [
{
"primary": true,
"value": "embed-user-i_4TrNwyVTu34bZaC35VJVD3-pknp4YF7V8_Bi4TMdw@blobsrus.embed-exploreomni.co"
}
],
"groups": [
{
"display": "All Embed Users",
"value": "4GcvQ2D9"
},
{
"display": "Omni",
"value": "nqGuU_uh"
}
],
"id": "2212aecf-a2ba-4d99-b23b-f615bc4c6522",
"meta": {
"created": "2024-09-30T20:25:01.822Z",
"lastModified": "2024-09-30T20:51:47.558Z",
"resourceType": "User"
},
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User"
],
"userName": "embed-user-i_4TrNwyVTu34bZaC35VJVD3-pknp4YF7V8_Bi4TMdw@blobsrus.embed-exploreomni.co",
"embedEmail": null,
"embedEntity": "omni",
"embedExternalId": "blobby-manager"
}Documentation Index
Fetch the complete documentation index at: https://docs.omni.co/llms.txt
Use this file to discover all available pages before exploring further.
Requires an Organization API Key. Personal Access Tokens (PATs) are not supported for this endpoint.
Include in the Authorization header as: Bearer ORGANIZATION_API_KEY
The ID of the embed user to be retrieved
Embed user details
An embed user object (SCIM 2.0)
Unique identifier for the user
The user's email address
The user's display name
Whether the user is active
The user's email addresses
Show child attributes
User groups that the user belongs to
Show child attributes
Show child attributes
SCIM information about the type of schemas used in the API. For example, urn:ietf:params:scim:schemas:core:2.0:User
The embed user's email address
The embed entity identifier
The external ID for the embed user
Was this page helpful?